Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::invalid_vrml Class Reference

List of all members.

## Detailed Description

Exception thrown when the parser fails due to errors in the VRML input.

## Public Member Functions

| invalid_vrml (const std::string &url, size_t line, size_t column, const std::string &message)
| Construct.
virtual | ~invalid_vrml () throw ()
| Destroy.

## Public Attributes

const std::string | url
| Resource identifier.
const size_t | line
| Line number.
const size_t | column
| Column number.

## Constructor & Destructor Documentation

openvrml::invalid_vrml::invalid_vrml | ( | const std::string & | url,
|  | size_t | line,
|  | size_t | column,
|  | const std::string & | message
| ) |

Construct.

Parameters:

  | url | resource identifier of the stream.
  | line | line number where the error was detected.
  | column | column number where the error was detected.
  | message | description of the error.

openvrml::invalid_vrml::~invalid_vrml | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Data Documentation

const std::string openvrml::invalid_vrml::url

| Resource identifier.

size_t openvrml::invalid_vrml::line

| Line number.

size_t openvrml::invalid_vrml::column

| Column number.